curl --request PATCH \
--url https://matcher.sandbox.lerian.net/v1/field-maps/{fieldMapId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"mapping": {}
}'import requests
url = "https://matcher.sandbox.lerian.net/v1/field-maps/{fieldMapId}"
payload = { "mapping": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mapping: {}})
};
fetch('https://matcher.sandbox.lerian.net/v1/field-maps/{fieldMapId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contextId": "<string>",
"createdAt": "<string>",
"id": "<string>",
"mapping": {},
"sourceId": "<string>",
"updatedAt": "<string>",
"version": 123
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0002",
"title": "Internal Server Error",
"message": "internal server error"
}Update a field map
Use this endpoint to update the fields of a specific field map by its identifier.
Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Optional idempotency key for safe retries. Also accepts Idempotency-Key as an alternative header name. If the same key is sent again and the original request was already processed, the cached response is returned with X-Idempotency-Replayed: true.
See Retries and idempotency for details.
Path Parameters
The unique identifier of the field map.
Body
Field map updates
Response
Successfully updated field map.
The response includes the X-Idempotency-Replayed header.
If the value is false, the request was just processed. If the value is true, the response is a replay of a previously processed request.
See Retries and idempotency for more details.
Was this page helpful?

